Saltar al contenido principal
PATCH
/
conversations
/
v3
/
custom-channels
/
{channelId}
/
messages
/
{messageId}
Actualizar un mensaje
curl --request PATCH \
  --url https://api.hubapi.com/conversations/v3/custom-channels/{channelId}/messages/{messageId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "statusType": "FAILED",
  "errorMessage": "<string>"
}
'
{
  "archived": true,
  "attachments": [
    {
      "fileId": "<string>",
      "fileUsageType": "AUDIO",
      "type": "FILE",
      "name": "<string>",
      "url": "<string>"
    }
  ],
  "channelAccountId": "<string>",
  "channelId": "<string>",
  "client": {
    "clientType": "HUBSPOT",
    "integrationAppId": 123
  },
  "conversationsThreadId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "direction": "INCOMING",
  "id": "<string>",
  "recipients": [
    {
      "deliveryIdentifier": {
        "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
        "value": "<string>"
      },
      "actorId": "<string>",
      "name": "<string>",
      "recipientField": "<string>"
    }
  ],
  "senders": [
    {
      "actorId": "<string>",
      "name": "<string>",
      "senderField": "<string>"
    }
  ],
  "text": "<string>",
  "truncationStatus": "NOT_TRUNCATED",
  "type": "MESSAGE",
  "inReplyToId": "<string>",
  "richText": "<string>",
  "subject": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Productos compatibles

Se requiere uno de los siguientes productos o productos de ediciones superiores.
Marketing HubMarketing Hub -Gratuito
Sales HubSales Hub -Pro
Service HubService Hub -Pro
Content HubContent Hub -Gratuito

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

channelId
integer<int32>
requerido
messageId
string
requerido

Cuerpo

application/json
statusType
enum<string>
requerido

Estados válidos ENVIADO, FALLIDO, LEÍDO

Opciones disponibles:
FAILED,
READ,
SENT
errorMessage
string

Respuesta

successful operation

archived
boolean
requerido
attachments
(FILE · object | LOCATION · object | CONTACT · object | UNSUPPORTED_CONTENT · object | MESSAGE_HEADER · object | QUICK_REPLIES · object | WHATSAPP_TEMPLATE_METADATA · object | SOCIAL_MEDIA_METADATA · object)[]
requerido
channelAccountId
string
requerido
channelId
string
requerido
client
object
requerido
conversationsThreadId
string
requerido
createdAt
string<date-time>
requerido
createdBy
string
requerido
direction
enum<string>
requerido
Opciones disponibles:
INCOMING,
OUTGOING
id
string
requerido
recipients
object[]
requerido
senders
object[]
requerido
text
string
requerido
truncationStatus
enum<string>
requerido
Opciones disponibles:
NOT_TRUNCATED,
TRUNCATED,
TRUNCATED_TO_MOST_RECENT_REPLY
type
enum<string>
predeterminado:MESSAGE
requerido
Opciones disponibles:
MESSAGE
inReplyToId
string
richText
string
status
object
subject
string
updatedAt
string<date-time>
Last modified on March 30, 2026